Gallery Platform API
Reference

Get an artwork list

Returns a single list's metadata.

GET
/gallery/lists/{listId}

Returns a single list's metadata.

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Path Parameters

listId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "id": "string",  "slug": "string",  "title": "string",  "description": "string",  "kind": "viewing_room",  "visibility": "public",  "is_dynamic": true,  "dynamic_query": {    "property1": null,    "property2": null  },  "show_prices": true,  "show_status": true,  "show_location": true,  "allow_purchase": true,  "cover_image_path": "string",  "cover_url": "string",  "theme_overrides": {    "accent_color": "string",    "background_color": "string",    "text_color": "string",    "font_family": "sans",    "layout": "grid"  },  "brand_logo_storage_path": "string",  "brand_logo_url": "string",  "created_at": "string",  "updated_at": "string"}